import { GraphQLEnumType, GraphQLInputObjectType, GraphQLInterfaceType, GraphQLObjectType, GraphQLScalarType, GraphQLSchema, GraphQLUnionType } from "graphql";
export declare type Context = ReturnType<typeof createContext>;
export declare const createContext: (schema: GraphQLSchema) => {
    typeMap: import("graphql/jsutils/ObjMap").ObjMap<import("graphql").GraphQLNamedType>;
    types: import("graphql").GraphQLNamedType[];
    enums: GraphQLEnumType[];
    enumNodes: import("graphql").EnumTypeDefinitionNode[];
    interfaces: GraphQLInterfaceType[];
    interfaceNodes: import("graphql").InterfaceTypeDefinitionNode[];
    inputObjects: GraphQLInputObjectType[];
    inputObjectNodes: import("graphql").InputObjectTypeDefinitionNode[];
    unions: GraphQLUnionType[];
    unionNodes: import("graphql").UnionTypeDefinitionNode[];
    scalars: GraphQLScalarType<unknown, unknown>[];
    scalarNodes: import("graphql").ScalarTypeDefinitionNode[];
    objects: GraphQLObjectType<any, any>[];
    objectNodes: import("graphql").ObjectTypeDefinitionNode[];
    schema: GraphQLSchema;
    getType: (v: any) => import("graphql").GraphQLNamedType;
    root: {
        query: GraphQLObjectType<any, any>;
        mutation: GraphQLObjectType<any, any>;
        subscription: GraphQLObjectType<any, any>;
    };
};
