"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.plugin = void 0;
const context_1 = require("./context");
const main_1 = require("./templates/main");
const plugin = (schema, documents, config) => {
    const ctx = (0, context_1.createContext)(schema);
    const code = (0, main_1.resolver_codes)(ctx);
    const importCode = (0, main_1.imports_codes)(ctx);
    return {
        prepend: [importCode],
        content: code,
    };
};
exports.plugin = plugin;
//# sourceMappingURL=index.js.map