export declare type TemplateFn<TC = any, TI = unknown> = (context: TC, input: TI) => string;
export declare type TemplateFnMap<TK extends string, TC = any, TI = any> = Record<TK, TemplateFn<TC, TI>>;
export declare function render<TC = any, TI = unknown>(template: TemplateFn<TC, TI>, context: TC, input: TI): string;
export declare const typeTemplateMap: <TC = any, TI = unknown>() => {
    create: <TK extends string, T extends TemplateFnMap<TK, TC, TI>>(map: T) => T;
};
export declare const codetpl: (strArr: TemplateStringsArray, ...valArr: any[]) => string;
export declare const MAP: <T>(arr: readonly T[], cb: (input: T) => string) => string;
export declare const capitalize: (str: string) => string;
export declare const snakeToCamel: (str: any) => any;
export declare const snakeToPascal: (str: any) => any;
