"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.enum_value_comment = exports.enum_value = exports.enum_name = exports.declare_enum_type = void 0;
const codetpl_1 = require("../lib/codetpl");
const declare_enum_type = (ctx, e) => (0, codetpl_1.codetpl) `
    export enum ${(0, exports.enum_name)(ctx, e)} {
      ${(0, codetpl_1.MAP)(e.values, v => (0, exports.enum_value)(ctx, v))}
    };

    `;
exports.declare_enum_type = declare_enum_type;
const enum_name = (ctx, e) => e.name.value;
exports.enum_name = enum_name;
const enum_value = (ctx, e) => (0, codetpl_1.codetpl) `
    ${(0, codetpl_1.snakeToPascal)(e.name.value)} = '${e.name.value}',
    `;
exports.enum_value = enum_value;
const enum_value_comment = (ctx, e) => { var _a, _b; return (_b = (_a = e.description) === null || _a === void 0 ? void 0 : _a.value) !== null && _b !== void 0 ? _b : ""; };
exports.enum_value_comment = enum_value_comment;
//# sourceMappingURL=enums.js.map