"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inputObject_field = exports.declare_inputObject_type = void 0;
const graphql_1 = require("graphql");
const codetpl_1 = require("../lib/codetpl");
const utils_1 = require("./utils");
const declare_inputObject_type = (ctx, e) => (0, codetpl_1.codetpl) `
    export type ${e.name.value} = {
      ${(0, codetpl_1.MAP)(e.fields, v => (0, exports.inputObject_field)(ctx, v))}
    }

    `;
exports.declare_inputObject_type = declare_inputObject_type;
const inputObject_field = (ctx, v) => (0, codetpl_1.codetpl) `
    ${v.name.value}${conditional(ctx, v)}: ${(0, utils_1.typename)(ctx, v.type)};
    `;
exports.inputObject_field = inputObject_field;
const conditional = (ctx, v) => v.type.kind === graphql_1.Kind.NON_NULL_TYPE ? "" : "?";
//# sourceMappingURL=inputObjects.js.map