"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.declare_scalar_type = exports.scalar_field = exports.scalar_fields = void 0;
const codetpl_1 = require("../lib/codetpl");
const utils_1 = require("./utils");
const scalar_fields = (ctx, e) => (0, codetpl_1.codetpl) `
    ${(0, codetpl_1.MAP)(e, v => (0, exports.scalar_field)(ctx, v))}
    `;
exports.scalar_fields = scalar_fields;
const scalar_field = (ctx, e) => (0, codetpl_1.codetpl) `
    ${e.name}: ${(0, utils_1.scalar_type_name)(ctx, e.name)};
    `;
exports.scalar_field = scalar_field;
const declare_scalar_type = (ctx, scalars) => (0, codetpl_1.codetpl) `
    export type Scalars = {
      ${(0, exports.scalar_fields)(ctx, scalars)}
    }

    `;
exports.declare_scalar_type = declare_scalar_type;
//# sourceMappingURL=scalars.js.map